#include "testlib.h"
#include <bits/stdc++.h>

using namespace std;


int main(int argc, char* argv[]) {
    registerValidation(argc, argv);
    int n = inf.readInt(1, 1000, "n");
    inf.readSpace();
    int m = inf.readInt(1, 1000, "m");
    inf.readEoln();
    inf.readToken("[a-z]{" + to_string(n) + "}", "s1");
    inf.readSpace();
    inf.readToken("[a-z]{" + to_string(m) + "}", "s2");
    inf.readEoln();
    inf.readEof();
    return 0;
}